# install.packages("FactoMineR")
library(FactoMineR)

attach(CIS3041a)
DF=data.frame(OCUPACION,ESTUDIOS,Edad10,P31)

library(Deducer)
frequencies(CIS3041a[c("OCUPACION","ESTUDIOS","Edad10","P31")],r.digits=1)

ACM=MCA(DF,ncp=2,na.method="Average")
ACM$eig #Valores propios (eigen values)
ACM$var
round(ACM$var$coord,2)
round(ACM$var$contrib,2)
round(ACM$var$cos2,2)
round(ACM$var$v.test,2)
round(ACM$var$eta2,2)

# Análisis de clasificación jerárquica
hcpc=HCPC(ACM)
# Descripción de las clases de la clasificación (tipos de la tipología)
hcpc$desc.var$test.chi2   #Variables
hcpc$desc.var$category    #Categorías
hcpc$desc.axes            #Factores
hcpc$desc.ind             #individuos

